<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Migration_Tbl_payment_refund extends TT_migration {

    const table_name = 'tbl_payment_refund';

    public function up() {
        $this->field_name('payment_refund_id')->type('INT')->size(7)->auto_increment()->generate();
        $this->field_name('payment_id')->type('INT')->size(7)->generate();
        
        // Cash=>1, Cheque =>2, bKash=>3
        $this->field_name('payment_refund_type')->type('TINYINT')->size(1)->generate();
        $this->field_name('payment_refund_type_id')->type('INT')->size(7)->generate();
        $this->field_name('payment_refund_amount')->type('DECIMAL')->size('8,2')->generate();
        $this->set_primary_key('payment_refund_id')->set_table_name(self::table_name)->create();
    }

    public function down() {
        
    }

}
